Subject: Re: Cygwin version 1.3.2
From: Robert Collins <[email-masked]>
To: Kern Sibbald <[email-masked]>
Cc: [email-masked]
Date: 06 Aug 2001 19:30:36 +1000

On 06 Aug 2001 11:05:12 +0200, Kern Sibbald wrote:
> Hello,
> 
> Request for change:
> 
>   1. The first field which contains the OS name has additional
> information
>      (i.e. _98-4.10). This complicates looking for CYGWIN compared
>      to the simplicity of the other systems.

Well, cygwin on 98 is different in behaviour to cygwin on NT, and
potentially different for every windows version. IIRC the _98-4.10 is
reflecting the OS you are hosting cygwin on.

>   2. The third field which contains the OS version has additional
> information
>      (i.e. (0.39/3/2)). This also complicates looking for and using
> the OS
>      version. In my case, this version is passed to Makefiles on the
> command
>      line. As you can imagine, the parenthesis create problems.

I don't know what this is used for, so I won't comment. 

> Please consider changing the Cygwin uname to conform more closely to 
> Unix "standards" by eliminating the additional information you place
> on
> the first and third fields.

My .2c - your makefile is dangerous if it doesn't quote the output from
uname -a anyway. (I could add a script to a user ~/bin called uname and
have it's 1st and 3rd fields inserted into your Makefiles from the sound
of it). As this is the 1st time anyone has asked for uname to be
altered, there doesn't seem to be a great deal of concern about it.

However: Chris Faylor is almost always happy to consider things, so I'd
suggest you do the following:

read the "contributing to cygwin" link from the home page. Unless you
can *motivate* a developer, this _will not_ get done. The fastest way to
motivate them is to
0) Submit a patch for the change you want done.
1) give them lots of money.
2) Show a large-scale impact on the community
3) Find a *bug* (as opposed to "feature").
4) Give me lots of money and I'll beg on your behalf.
 
Rob

> I am not on your mailing list, so if you wish to respond to
> me, please do so directly.
> 
> Best regards,
> 
> Kern
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/